FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Preferences::Node Class Reference

## Public Member Functions
void | add (const char *line)
Node * | addChild (const char *path)
const char * | child (int ix)
Node * | childNode (int ix)
void | clearDirtyFlags ()
void | deleteAllChildren ()
void | deleteAllEntries ()
char | deleteEntry (const char *name)
char | dirty ()
Entry & | entry (int i)
Node * | find (const char *path)
RootNode * | findRoot ()
const char * | get (const char *name)
int | getEntry (const char *name)
const char * | name ()
int | nChildren ()
int | nEntry ()
| Node (const char *path)
Node * | parent ()
const char * | path ()
char | remove ()
Node * | search (const char *path, int offset=0)
void | set (const char *line)
void | set (const char *name, const char *value)
void | setParent (Node *parent)
void | setRoot (RootNode *r)
int | write (FILE *f)

## Static Public Attributes
static int | lastEntrySet = -1

The documentation for this class was generated from the following files:

- Fl_Preferences.H
- Fl_Preferences.cxx